import { CSSProperties, PropsWithChildren, ReactElement, ReactNode } from "react";
export type { CSSProperties };
export declare type Key = number | string;
export declare type Attributes = Record<string, string | number | boolean | undefined | CSSProperties>;
export declare type AttributesMap = Record<string, string>;
export declare type AtributesPropKeys = keyof Attributes;
export declare type MapNodeFn = (node: Node, key?: Key, options?: RenderOptions) => Node | ReactNode;
export declare type MapElementFn = (element: ReactElement) => ReactNode;
export declare type MapComponentFn = (props: PropsWithChildren<Attributes & {
    key?: Key;
}>) => ReactNode;
export declare type Components = Record<string, MapComponentFn>;
export declare type RenderOptions = {
    components?: Partial<Components>;
    mapNode?: MapNodeFn;
    mapElement?: MapElementFn;
    attrsMap?: AttributesMap;
};
export declare type ParseOptions = RenderOptions & {
    sanitize?: (html: string) => string;
};
